Skip to content
Stackship documentation Svenska

Resource groupsUsers

API reference

Every HTTP endpoint of the resource-groups module: authentication, IAM action, parameters, bodies and status codes.

Generated from the module's code when its image was built — do not edit. Paths are relative to https://api.example.com.

Docs

GET /docs/resource-groups/manifest.json

  • Authentication: required
  • Operation name: DocsManifest_resource-groups

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid

GET /docs/resource-groups/{path}

  • Authentication: required
  • Operation name: DocsFile_resource-groups

Parameters

Name In Type Required
path path string Yes

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid

Generic Resources

GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources

  • Authentication: required
  • IAM action: resourcegroups/read — evaluated at the resource in the path
  • Operation name: ListResourcesInGroup

Parameters

Name In Type Required
boundaryId path uuid Yes
resourceGroupName path string Yes

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid
403 The caller does not hold resourcegroups/read at the evaluated scope

GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}/resources/{resourceName}/validate

  • Authentication: required
  • IAM action: resourcegroups/read — evaluated at the resource in the path
  • Operation name: ValidateResourceInGroup

Parameters

Name In Type Required
boundaryId path uuid Yes
resourceGroupName path string Yes
resourceName path string Yes

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid
403 The caller does not hold resourcegroups/read at the evaluated scope

GET /boundaries/{boundaryId}/resources

  • Authentication: required
  • Operation name: ListAllResources

Parameters

Name In Type Required
boundaryId path uuid Yes

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid

GET /boundaries/{boundaryId}/resources/config

  • Authentication: required
  • Operation name: GetResourcesConfig

Parameters

Name In Type Required
boundaryId path string Yes

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid

Resource Groups

GET /boundaries/{boundaryId}/resourcegroups

  • Authentication: required
  • Operation name: ListResourceGroups

Parameters

Name In Type Required
boundaryId path uuid Yes

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid

GET /boundaries/{boundaryId}/resourcegroups/config

  • Authentication: required
  • Operation name: GetResourceGroupsConfig

Parameters

Name In Type Required
boundaryId path string Yes

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid

DELETE /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}

  • Authentication: required
  • IAM action: resourcegroups/delete — evaluated at the resource in the path
  • Operation name: DeleteResourceGroup

Parameters

Name In Type Required
boundaryId path uuid Yes
resourceGroupName path string Yes

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid
403 The caller does not hold resourcegroups/delete at the evaluated scope

GET /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}

  • Authentication: required
  • IAM action: resourcegroups/read — evaluated at the resource in the path
  • Operation name: GetResourceGroup

Parameters

Name In Type Required
boundaryId path uuid Yes
resourceGroupName path string Yes

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid
403 The caller does not hold resourcegroups/read at the evaluated scope

POST /boundaries/{boundaryId}/resourcegroups/{resourceGroupName}

  • Authentication: required
  • IAM action: resourcegroups/write — evaluated at the resource in the path
  • Operation name: CreateResourceGroup

Parameters

Name In Type Required
boundaryId path uuid Yes
resourceGroupName path string Yes

Request body: CreateResourceGroupRequest

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid
403 The caller does not hold resourcegroups/write at the evaluated scope

GET /resourcegroups/by-namespace/{namespaceName}

  • Authentication: required
  • IAM action: resourcegroups/read — evaluated at the resource in the path
  • Operation name: GetResourceGroupByNamespace

Parameters

Name In Type Required
namespaceName path string Yes

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid
403 The caller does not hold resourcegroups/read at the evaluated scope

GET /resourcegroups/orphaned-grants

  • Authentication: required
  • IAM action: resourcegroups/delete — evaluated at the platform root
  • Operation name: ListOrphanedResourceGroupGrants

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid
403 The caller does not hold resourcegroups/delete at the evaluated scope

POST /resourcegroups/orphaned-grants/purge

  • Authentication: required
  • IAM action: resourcegroups/delete — evaluated at the platform root
  • Operation name: PurgeOrphanedResourceGroupGrants

Responses

Status Meaning Body
200 OK
401 Not signed in, or the token is invalid
403 The caller does not hold resourcegroups/delete at the evaluated scope

Other endpoints

GET /readyz

  • Authentication: none — anonymous callers are accepted
  • Operation name: StackshipReadiness

Responses

Status Meaning Body

GET /version

  • Authentication: none — anonymous callers are accepted
  • Operation name: Version_resource-groups

Responses

Status Meaning Body
200 OK

Schemas

CreateResourceGroupRequest

No properties.